﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@model Toyota.Common.Web.MVC.ModelHolder
@*<table border="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Plant - Dock";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            <div style="float:left; display:inline; width:20px;">
                @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "RECEIVING_PLANT";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(20);
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                }).GetHtml()
            </div>
            <div style="float: left; display: inline; margin-left:5px; margin-right:5px;">-</div>
            <div style="float: left; display: inline; width: 50px; ">
                @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "DockOption";
                    gridLookup.Width = Unit.Pixel(40);

                    gridLookup.GridProperties.KeyFieldName = "DOCK_CD";
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 130;
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanSummaryPartReceiving", Action = "DockLookup" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(145);

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_CD";
                        column.FieldName = "DOCK_CD";
                        column.Caption = "Code";
                        column.Width = 40;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_NM";
                        column.FieldName = "DOCK_NM";
                        column.Caption = "Name";
                        column.Width = 300;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["DockLookup"]).GetHtml()
            </div>
        </td>
        <td width="150"></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Route";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>
            :
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "RouteOption";
                    gridLookup.Width = Unit.Pixel(120);

                    gridLookup.GridProperties.KeyFieldName = "ROUTE";
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 130;
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanSummaryPartReceiving", Action = "RouteLookup" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(145);

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "ROUTE";
                        column.FieldName = "ROUTE";
                        column.Caption = "Route";

                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["RouteLookup"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Delivery No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "DELIVERY_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 13;
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Rit";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "RIT";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Supplier Code";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "SupplierOption";
                    gridLookup.Width = Unit.Pixel(120);

                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 130;
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanSummaryPartReceiving", Action = "SupplierLookup" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(300);
                    gridLookup.GridProperties.SettingsPager.PageSize = 10;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPPLIER_CODE";
                        column.Caption = "Status";
                        column.Width = 60;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Name";
                        column.Width = 200;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["SupplierLookup"]).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "P Lane No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "P_LANE_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Order No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "ORDER_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Status";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "StatusOption";
                    gridLookup.Width = Unit.Pixel(120);

                    gridLookup.GridProperties.KeyFieldName = "STATUS";
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 130;
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanSummaryPartReceiving", Action = "StatusLookup" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(145);

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "STATUS";
                        column.FieldName = "STATUS";
                        column.Caption = "Status";

                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["StatusLookup"]).GetHtml()

        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Manifest No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "MANIFEST_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    edtSettings.Text = @ViewBag.MANIFEST_NO;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Kanban No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "KANBAN_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Text = @ViewBag.KANBAN_NO;
                }).GetHtml()
        </td>
    </tr>
    <tr>

        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Arrival Plan Date From";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>

            <div style="float:left; display:inline;">
                @Html.DevExpress().DateEdit(
                    edtSettings =>
                    {
                        edtSettings.Name = "ARRIVAL_DATE_FROM";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                        edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                        //edtSettings.Date = DateTime.Now;

                    }).GetHtml()
            </div>
            <div style="float:left; display:inline;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "To : ";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
            </div>
            <div style="float:left; display:inline;">
                @Html.DevExpress().DateEdit(
                    edtSettings =>
                    {
                        edtSettings.Name = "ARRIVAL_DATE_TO";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                        edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                        //edtSettings.Date = DateTime.Now;

                    }).GetHtml()
            </div>
        </td>
        <td colspan="5"></td>
    </tr>
</table>*@
<table border="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Plant - Dock";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            <div style="float:left; display:inline; width:20px;">
                @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "RECEIVING_PLANT";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(20);
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Text = @ViewBag.RECEIVING_PLANT;
                }).GetHtml()
            </div>
            <div style="float: left; display: inline; margin-left:5px; margin-right:5px;">-</div>
            <div style="float: left; display: inline; width: 50px; ">
                @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "DockOption";
                    gridLookup.Width = Unit.Pixel(40);
                    gridLookup.Text = @ViewBag.DOCK_CD;
                    gridLookup.GridProperties.KeyFieldName = "DOCK_CD";
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 130;
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanSummaryPartReceiving", Action = "DockLookup" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(145);

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_CD";
                        column.FieldName = "DOCK_CD";
                        column.Caption = "Code";
                        column.Width = 40;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_NM";
                        column.FieldName = "DOCK_NM";
                        column.Width = 300;
                        column.Caption = "Name";
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["DockLookup"]).GetHtml()
            </div>
        </td>
        <td width="75"></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Route";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>
            :
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "RouteOption";
                    gridLookup.Width = Unit.Pixel(120);
                    gridLookup.Text = @ViewBag.ROUTE;
                    gridLookup.GridProperties.KeyFieldName = "ROUTE";
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 130;
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanSummaryPartReceiving", Action = "RouteLookup" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(145);
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "ROUTE";
                        column.FieldName = "ROUTE";
                        column.Caption = "Route";

                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["RouteLookup"]).GetHtml()
        </td>
        <td width="75"></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Order No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "ORDER_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                }).GetHtml()
        </td>
        <td width="75"></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Status";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "StatusOption";
                    gridLookup.Width = Unit.Pixel(120);

                    gridLookup.GridProperties.KeyFieldName = "STATUS";
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 130;
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanSummaryPartReceiving", Action = "StatusLookup" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(145);

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "STATUS";
                        column.FieldName = "STATUS";
                        column.Caption = "Status";

                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["StatusLookup"]).GetHtml()

        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Delivery No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "DELIVERY_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 13;
                    edtSettings.Text = @ViewBag.DELIVERY_NO;
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Rit";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "RIT";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Text = @ViewBag.RATE;
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Manifest No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "MANIFEST_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    edtSettings.Text = @ViewBag.MANIFEST_NO;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Kanban No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "KANBAN_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Supplier Code";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "SupplierOption";
                    gridLookup.Width = Unit.Pixel(120);

                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 130;
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanSummaryPartReceiving", Action = "SupplierLookup" };
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(300);
                    gridLookup.GridProperties.SettingsPager.PageSize = 10;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPPLIER_CODE";
                        column.Caption = "Status";
                        column.Width = 100;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Name";
                        column.Width = 200;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["SupplierLookup"]).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "P Lane No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "P_LANE_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Arrival Plan Date From";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>

            <div style="float:left; display:inline;">
                @Html.DevExpress().DateEdit(
                    edtSettings =>
                    {
                        edtSettings.Name = "ARRIVAL_DATE_FROM";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                        edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                        //edtSettings.Date = DateTime.Now;

                    }).GetHtml()
            </div>
            <div style="float:left; display:inline;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "To : ";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
            </div>
            <div style="float:left; display:inline;">
                @Html.DevExpress().DateEdit(
                    edtSettings =>
                    {
                        edtSettings.Name = "ARRIVAL_DATE_TO";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                        edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                        //edtSettings.Date = DateTime.Now;

                    }).GetHtml()
            </div>
        </td>
        <td colspan="5"></td>
    </tr>

</table>
<div style="float:left; display:inline;">
    <table border="0">
        <tr>
            <td>
                @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnDownload";
                button.Text = "Download";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "download";

            }).GetHtml()

            </td>
            <td>
                @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnReceiveAll";
                button.Text = "Receive";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "receive";

            }).GetHtml()
            </td>
        </tr>
    </table>
</div>

<div style="float:right; display:inline;">
    <table border="0">
        <tr>
            <td>
                @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnSearch";
                button.Text = "Search";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "search";

            }).GetHtml()

            </td>
            <td>
                @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnClear";
                button.Text = "Clear";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "clear";

            }).GetHtml()

            </td>
        </tr>
    </table>
</div>



